# Interface ImplementationInterface

#### Hierarchy

- Interface
  - ImplementationInterface

- Defined in ethers-contracts/Implementation.ts:185

#####
Index

### Methods

decodeFunctionResult
encodeFunctionData
getEvent
getFunction

## Methods

### decodeFunctionResult

- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "chainId"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:337
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "evmChainId"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:338
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "getCurrentGuardianSetIndex"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:339
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "getGuardianSet"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:343
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "getGuardianSetExpiry"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:347
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "governanceActionIsConsumed"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:351
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "governanceChainId"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:355
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "governanceContract"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:359
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "initialize"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:363
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "isFork"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:364
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "isInitialized"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:365
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "messageFee"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:369
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "nextSequence"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:370
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseAndVerifyVM"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:374
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseContractUpgrade"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:378
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseGuardianSetUpgrade"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:382
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseRecoverChainId"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:386
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseSetMessageFee"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:390
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseTransferFees"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:394
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "parseVM"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:398
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "publishMessage"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:399
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "quorum"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:403
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "submitContractUpgrade"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:404
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "submitNewGuardianSet"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:408
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "submitRecoverChainId"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:412
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "submitSetMessageFee"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:416
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "submitTransferFees"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:420
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "verifySignatures"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:424
- decodeFunctionResult(functionFragment, data): Result

- #### Parameters

  - ##### functionFragment: "verifyVM"

  - ##### data: BytesLike

  #### Returns Result

  Overrides Interface.decodeFunctionResult

  - Defined in ethers-contracts/Implementation.ts:428

### encodeFunctionData

- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "chainId"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:229
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "evmChainId"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:230
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "getCurrentGuardianSetIndex"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:234
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "getGuardianSet"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:238
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "getGuardianSetExpiry"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:242
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "governanceActionIsConsumed"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:246
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "governanceChainId"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:250
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "governanceContract"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:254
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "initialize"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:258
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "isFork"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:262
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "isInitialized"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:263
- encodeFunctionData(functionFragment, values?): string

- #### Parameters

  - ##### functionFragment: "messageFee"

  - ##### `Optional` values: undefined

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:267
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "nextSequence"

  - ##### values: [AddressLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:271
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseAndVerifyVM"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:275
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseContractUpgrade"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:279
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseGuardianSetUpgrade"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:283
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseRecoverChainId"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:287
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseSetMessageFee"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:291
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseTransferFees"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:295
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "parseVM"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:299
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "publishMessage"

  - ##### values: [BigNumberish, BytesLike, BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:300
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "quorum"

  - ##### values: [BigNumberish]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:304
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "submitContractUpgrade"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:308
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "submitNewGuardianSet"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:312
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "submitRecoverChainId"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:316
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "submitSetMessageFee"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:320
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "submitTransferFees"

  - ##### values: [BytesLike]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:324
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "verifySignatures"

  - ##### values: [BytesLike, SignatureStruct[], GuardianSetStruct]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:328
- encodeFunctionData(functionFragment, values): string

- #### Parameters

  - ##### functionFragment: "verifyVM"

  - ##### values: [VMStruct]

  #### Returns string

  Overrides Interface.encodeFunctionData

  - Defined in ethers-contracts/Implementation.ts:332

### getEvent

- getEvent(nameOrSignatureOrTopic): EventFragment

- #### Parameters

  - ##### nameOrSignatureOrTopic: "AdminChanged" | "BeaconUpgraded" | "Upgraded" | "ContractUpgraded" | "GuardianSetAdded" | "LogMessagePublished"

  #### Returns EventFragment

  Overrides Interface.getEvent

  - Defined in ethers-contracts/Implementation.ts:219

### getFunction

- getFunction(nameOrSignature): FunctionFragment

- #### Parameters

  - ##### nameOrSignature: "evmChainId" | "messageFee" | "chainId" | "initialize" | "publishMessage" | "isInitialized" | "getCurrentGuardianSetIndex" | "getGuardianSet" | "getGuardianSetExpiry" | "governanceActionIsConsumed" | "governanceChainId" | "governanceContract" | "isFork" | "nextSequence" | "parseAndVerifyVM" | "parseContractUpgrade" | "parseGuardianSetUpgrade" | "parseRecoverChainId" | "parseSetMessageFee" | "parseTransferFees" | "parseVM" | "quorum" | "submitContractUpgrade" | "submitNewGuardianSet" | "submitRecoverChainId" | "submitSetMessageFee" | "submitTransferFees" | "verifySignatures" | "verifyVM"

  #### Returns FunctionFragment

  Overrides Interface.getFunction

  - Defined in ethers-contracts/Implementation.ts:186

Generated using TypeDoc